package com.zcloud.mapper.datasource.relatedparty;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：外包工程
 * 作者：luoxiaobao
 * 时间：2022-06-14
 * 官网：www.zcloudchina.com
 */
public interface OutSourcedMapper{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void deleteAll(String[] ArrayDATA_IDS);

	/**通过登录人id获取首页数据
	 * @param pd
	 * @throws Exception
	 */
	PageData homepagedata(PageData pd);

	String getDeptId(String userId);

	String getCorpInfoByOutsourcesCreator(PageData pd);

	/**
	 * 重点工程APP工程管理列表页  只查看未开工 和进行中的
	 * @param page
	 * @return
	 */
	List<PageData> applylistPage(Page page);

	void editDingWei(PageData pd);

	//校验结束重点工程是否有为完成的内容
	PageData jieshuOutSourced(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void jie(PageData pd);

	void start(PageData pd);

    void updateState(PageData pd);

	List<PageData> outSouceslistPage(Page page);

	Integer getDingWeiSum(PageData pd);

	List<PageData> getPUNISHlistPage(Page page);
}

